## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name gmqtt
%bcond_with network

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %autorelease
Summary:        Client for the MQTT protocol

License:        MIT
URL:            https://github.com/wialon/gmqtt
Source0:        %{pypi_source}
BuildArch:      noarch

%description
Asynchronous Python MQTT client implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel

%if %{with network}
BuildRequires:  python3dist(pytest)
%endif

%description -n python3-%{pypi_name}
Asynchronous Python MQTT client implementation.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l %{pypi_name}

# Requires access to a third-party MQTT Broker
%if %{with network}
%check
%{__python3} setup.py test
%endif

%files -n %files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Thu Jul 10 2025 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.0-1
- Update to latest upstream release (closes rhbz#2328039)

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 0.6.16-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 16 2024 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.16-1
- Update to latest upstream release 0.6.16 (closes rhbz#2176796)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.6.11-10
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.6.11-6
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.6.11-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 07 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.11-1
- Update to latest upstream release 0.6.11 (closes rhbz#2015148)

* Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.10-1
- * Wed Aug 25 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.10-1 -
  Update to latest upstream release 0.6.10 (rhbz#1986466)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.6.9-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.9-2
- Update changelog

* Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.9-1
- * Mon Nov 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.9-1 -
  Update to latest upstream release 0.6.9 (#1900839)

* Thu Nov 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.8-1
- * Thu Nov 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.8-1 -
  Update to latest upstream release 0.6.8 (#1898447)

* Wed Sep 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.7-1
- * Wed Sep 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.7-1 -
  Update to latest upstream release 0.6.7

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 15 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.5-1
- * Mon Jun 15 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.5-1 -
  Update to latest upstream release 0.6.5

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.6.3-2
- Rebuilt for Python 3.9

* Sat Mar 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.3-1
- * Sat Mar 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.3-1 -
  Update to latest upstream release 0.6.3

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 21 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.4-1
- * Tue Jan 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.4-1 -
  Update to latest upstream release 0.5.4
## END: Generated by rpmautospec
